Android Tablets Forum banner
161 - 180 of 181 Posts

·
Registered
Joined
·
167 Posts
great idea, just import a complete semi random build.prop....
that thing loads RIL drivers that probably are not even there and sets the locale to england so you have a british market.
Also LCD density 240?...
You're too quick to judge. I only changed the relevant settings such as fingerprint, brand and version etc. I have not replaced the entire contents, which would have led to bricking my device.
 

·
Registered
Joined
·
19 Posts
Can't get this to work at all, keep getting a 'Your device is not compatible with this item' error. Tried 3 or 4 different fingerprints so far. This is with Market 3.1.5 & C8lean 0.7.

I notice there is an 'Uninstall updates' button when I go to close the market. Think that is worth a shot?
 

·
Registered
Joined
·
167 Posts
As far as i can tell, the error u get is not coming from the market but from the actual. Apk, which means the market has done its part. As i stated in the gameloft topic, i used to get this error while trying to install apks downloaded from the internet which proved to be for a different device than the dropad which is essentially a samsung galaxy tab. Once I've installed the same apps meant exactly for samsung (downloaded on my galaxy s phone), I no longer get such errors.
Uninstalling the updates would only downgrade your market, its recognition of your device will remain the same.
 

·
Registered
Joined
·
2 Posts
I think I found a quick and easy way to enable the full market on this device. I have verified this on 2.2 0311 and 2.3 0622.

On the most current version of Market which automatically updates after upgrading firmware, most apps like facebook, flash player, netflix, skype, etc would show as not compatible with this device if they show up in a search at all, but it does not show that way on the version included with the firmware update, so I got to thinking.....

I go into the manage applications and Market and uninstall updates, and force stop.

Then I go into Google Services Framework and clear data and force stop.

I restart the device

I go into the market and search for these apps. It allows me to install all of these.

I verified that you can use facebook, netflix, and that flash player is installed at version 10.3!! Skype started and I got to the point of setting up account so it at least runs on the device.

This device is not rooted, and these are the only steps after firmware upgrade I have completed to get the full market access!!!
 

·
Registered
Joined
·
19 Posts
As far as i can tell, the error u get is not coming from the market but from the actual. Apk, which means the market has done its part. As i stated in the gameloft topic, i used to get this error while trying to install apks downloaded from the internet which proved to be for a different device than the dropad which is essentially a samsung galaxy tab. Once I've installed the same apps meant exactly for samsung (downloaded on my galaxy s phone), I no longer get such errors.
Uninstalling the updates would only downgrade your market, its recognition of your device will remain the same.
How do you find apks meant for the C8 in that case?
 

·
Registered
Joined
·
549 Posts
this helpful advise comes from steev.
. . . . . . .
For those getting a lot of incompatible apps in the Market with your fw, I found the fix here:

Change lcd density from 'what it currently is' to 160 in /system/build.prop

Reboot

(The status bar will look messed up)

Wipe market data (you can use titanium backup for this)

Open the Market once

Change LCD density back to 'what it was before'

Reboot again
 

·
Registered
Joined
·
19 Posts
this helpful advise comes from steev.
. . . . . . .
For those getting a lot of incompatible apps in the Market with your fw, I found the fix here:

Change lcd density from 'what it currently is' to 160 in /system/build.prop

Reboot

(The status bar will look messed up)

Wipe market data (you can use titanium backup for this)

Open the Market once

Change LCD density back to 'what it was before'

Reboot again
That worked for a little while but now the incompatibility error message is back.
 

·
Registered
Joined
·
549 Posts
That worked for a little while but now the incompatibility error message is back.
ohh, ohh, i think i know why. . . the app ( in this case 'Market' ) really really wants to update itself to the latest and greatest ( in google's opinion ) version. its like windoze and its version check. Well what can we do to stop this 'auto updater' ? . i believe i have read somewhere that you can freeze ( with titanium backup ) the updater. . and what is the updater called ? ? ? anybody know off the top of their head ?
. . . . .
anybody have a better fix not involving freezing stuff ?
 

·
Registered
Joined
·
1 Posts
I am experiencing the same problem but my current setting is...

ro.build.fingerprint=generic/full_smdkv210/smdkv210:2.3.1/GINGERBREAD/20110607.160020:eng/test-keys

would it be ok to change this as you suggest below or should it be different for version 2.3.1?

Below are instructions for getting the C8 Android Marketplace to show all available apps.
I have taken Gushie's original instructions and attempted to further detail them.


Root the tablet (the permanent root found here http://slatedroid.co...p?topic=15151.0 - can be a little figity)
- Make sure your wireless is on and connected

Edit the build.prop file
1) Open Root Explorer
2) Browse to System
3) Click and hold on build.prop (on bottom)
- Scroll down to Edit Text
4) Click on the Text to Allow Modification
- Find this line: ro.build.fingerprint= (located about half way down)
5) Change it to the following
- ro.build.fingerprint=google/passion/passion/mahimahi:2.2/FRF91/43546:user/release-keys
- or -
- ro.build.fingerprint=generic/utv210/utv210/smdkv210:2.2/FRF91/eng.urbetter.20110301.142336:eng/test-keys
6) Save the File

Open Android Market and then Click on Home (launcher)

Go to Settings->Applications->Manage->Running
- Click Market
- Then Clear Cache (NOT CLEAR DATA!!!!)
- Then Force Stop
- Click Google Services Framework
- Click Clear Data
- Click Force Stop

Open Android Market (it will error this is GOOD!)

Shutdown and Restart the tablet
- Wait for Wireless to Kick In
- Wait for System to Finish Loading

Open Android Market
- If it opens without an error GREAT!
- If it opens with the same error... give it a couple minutes or multiple tries at opening (it will go through)
- You may want to just wait for it to tell you there are updates in the Market... it will definitely work from that point on.

Thanks again Gushie!

Tasselhof
 

·
Registered
Joined
·
19 Posts
ohh, ohh, i think i know why. . . the app ( in this case 'Market' ) really really wants to update itself to the latest and greatest ( in google's opinion ) version. its like windoze and its version check. Well what can we do to stop this 'auto updater' ? . i believe i have read somewhere that you can freeze ( with titanium backup ) the updater. . and what is the updater called ? ? ? anybody know off the top of their head ?
. . . . .
anybody have a better fix not involving freezing stuff ?
Now even the temp fixes aren't working.
 

·
Registered
Joined
·
19 Posts
ummm, one of the critical steps would be to delete the existing market data. goto settings/applications/manage applications/all tab/market things/clear data. please give that a try. hth.
Yes I followed the steps above to the letter. The only thing that works for me is to change the lcd density to 160, reboot, change them back to 164 (my preference), and reboot once more. Changing the fingerprint and clearing the market stuff & Google framework stuff has no effect anymore on my tab.
 

·
Registered
Joined
·
1 Posts
Hey guys, this is the real deal.. By changing the LCD Density to 160 you will be able to install any application on Market.

Here in my case i had changed fingerprint as well, but someone could give a try by only changing the density.

Thanks for the help!

this helpful advise comes from steev.
. . . . . . .
For those getting a lot of incompatible apps in the Market with your fw, I found the fix here:

Change lcd density from 'what it currently is' to 160 in /system/build.prop

Reboot

(The status bar will look messed up)

Wipe market data (you can use titanium backup for this)

Open the Market once

Change LCD density back to 'what it was before'

Reboot again
 

·
Registered
Joined
·
1 Posts
http://www.amazon.com/mobile-apps/b?ie=UTF8&node=2350149011

Try this works fine for me on stock firmware ,netflix,facebook etc etc etc
Thanks for posting about this, it is working well for me. I can't find a facebook only app though, don't know why. I was getting really tired of researching how to change the firmware or root my tablet to get it to work with google's market. That stuff is all above my head, but this is a great community and I probably could have figured it out from the threads on this board.
 

·
Registered
Joined
·
1 Posts
I have a herotab c8 i rooted when i bought it this summer. Now several apps that have updates available will not update. It says my device isn't compatable. I triedto follow reverendkjrs video but i cannt get root access again. Is there a way to get around this?
 

·
Registered
Joined
·
22 Posts
I create a custom 2.3 build pro. I din't test v.k you can test and remember, fist change build.prop and don't forget to clear cache an data de market and framework then reebot the device, and enter to the market account via web, see in yours devive is the tablet is recognized by samsung gt-i9000.

# begin build properties
# autogenerated by buildinfo.sh
ro.build.id=GINGERBREAD
ro.build.display.id=GINGERBREAD.XWJV1
ro.build.version.incremental=XWJV1
ro.build.version.sdk=9
ro.build.version.codename=REL
ro.build.version.release=2.3.2
ro.build.date=Mon Feb 21 20:56:37 KST 2011
ro.build.date.utc=1298289397
ro.build.type=user
ro.build.user=root
ro.build.host=DELL101
ro.build.tags=release-keys
ro.product.model=GT-I9000
ro.product.brand=samsung
ro.product.name=GT-I9000
ro.product.device=GT-I9000
ro.product.board=GT-I9000
ro.product.cpu.abi=armeabi-v7a
ro.product.cpu.abi2=armeabi
ro.product.manufacturer=samsung
ro.product.locale.language=hdpi
ro.product.locale.region=
ro.wifi.channels=
ro.board.platform=s5pc110
# ro.build.product is obsolete; use ro.product.device
ro.build.product=GT-I9000
# Do not try to parse ro.build.description or .fingerprint
ro.build.description=GT-I9000-user 2.3.2 GINGERBREAD XWJV1 release-keys
ro.build.fingerprint=samsung/GT-I9000/GT-I9000:2.3.2/GINGERBREAD/XWJV1:user/release-keys
# Samsung Specific Properties
ro.build.PDA=I9000XWJV1
ro.build.hidden_ver=I9000XWJV1
ro.build.changelist=31216
# end build properties
#
# system.prop for smdkv210
#

rild.libpath=/system/lib/libreference-ril.so
rild.libargs=-d /dev/ttyS0
ro.sf.lcd_density=162
dalvik.vm.heapsize=64m

ro.opengles.version=131072

#cdma.home.operator.numeric=310260
#cdma.home.operator.alpha=T-Mobile

#gsm.sim.operator.numeric=310260
#gsm.operator.numeric=310260
#gsm.sim.operator.iso-country=us
#gsm.operator.iso-country=us
#gsm.sim.operator.alpha=T-Mobile
#gsm.operator.alpha=T-Mobile

#
# ADDITIONAL_BUILD_PROPERTIES
#

ro.media.enc.vid.codec=m4v,h263,h264

keyguard.no_require_sim=true
ro.com.android.dateformat=MM-dd-yyyy
ro.com.android.dataroaming=true
ro.ril.hsxpa=1
ro.ril.gprsclass=10
ro.config.notification_sound=OnTheHunt.ogg
ro.config.alarm_alert=Alarm_Classic.ogg
media.stagefright.enable-player=true
media.stagefright.enable-meta=true
media.stagefright.enable-scan=true
media.stagefright.enable-http=true
ro.kernel.android.checkjni=0
ro.setupwizard.mode=OPTIONAL
net.bt.name=Android
dalvik.vm.stack-trace-file=/data/anr/traces.txt
Do you use this whole script? And does it work for 2.3 gingerbread.
 
161 - 180 of 181 Posts
This is an older thread, you may not receive a response, and could be reviving an old thread. Please consider creating a new thread.
Top